Bug 119553 - www/bozohttpd: Add rc.subr script
Summary: www/bozohttpd: Add rc.subr script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-11 03:50 UTC by Oleg Pudeyev
Modified: 2008-01-24 23:40 UTC (History)
0 users

See Also:


Attachments
file.txt (701 bytes, text/plain)
2008-01-11 03:50 UTC, Oleg Pudeyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Pudeyev 2008-01-11 03:50:01 UTC
Attached bozohttpd.in script and patch for Makefile will make bozohttpd easy to start and stop. I'm not sure how to properly submit several files/patches with one PR so if the Makefile patch below becomes garbled I'll email it to the PR as a followup once the PR exists.

Fix: Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/bozohttpd/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- Makefile	8 Jul 2006 05:16:35 -0000	1.12
+++ Makefile	11 Jan 2008 03:44:57 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	bozohttpd
 PORTVERSION=	20060517
+PORTREVISION=	1
 CATEGORIES=	www ipv6
 MASTER_SITES=	http://www.eterna.com.au/bozohttpd/ \
 		${MASTER_SITE_NETBSD}
@@ -37,5 +38,6 @@
 MAN8=		bozohttpd.8
 MANCOMPRESSED=	maybe
 PLIST_FILES=	libexec/bozohttpd
+USE_RC_SUBR=	bozohttpd
 
 .include <bsd.port.mk>


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-01-11 03:50:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Mohacsi Janos 2008-01-14 20:26:35 UTC
Approved.

The attached file should be added under name:
files/bozohttpd.in

Thanks for the patch

Janos Mohacsi
Network Engineer, Research Associate, Head of Network Planning and Projects
NIIF/HUNGARNET, HUNGARY
Key 70EF9882: DEC2 C685 1ED4 C95A 145F  4300 6F64 7B00 70EF 9882

On Fri, 11 Jan 2008, Edwin Groothuis wrote:

> Maintainer of www/bozohttpd,
>
> Please note that PR ports/119553 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/119553
>
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-01-14 20:30:53 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Wesley Shields freebsd_committer 2008-01-16 20:41:34 UTC
State Changed
From-To: open->analyzed

I'll take it. 


Comment 5 Wesley Shields freebsd_committer 2008-01-16 20:41:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 dfilter service freebsd_committer 2008-01-24 23:30:00 UTC
wxs         2008-01-24 23:29:53 UTC

  FreeBSD ports repository

  Modified files:
    www/bozohttpd        Makefile 
  Added files:
    www/bozohttpd/files  bozohttpd.in 
  Log:
  Add an RC script.
  
  PR:             ports/119553
  Submitted by:   Oleg Pudeyev <oleg@bsdpower.com>
  Approved by:    Mohacsi Janos (maintainer), garga (mentor)
  
  Revision  Changes    Path
  1.13      +2 -0      ports/www/bozohttpd/Makefile
  1.1       +30 -0     ports/www/bozohttpd/files/bozohttpd.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2008-01-24 23:30:23 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!